Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.juli
Class VerbatimFormatter

    java.lang.Object
      java.util.logging.Formatter
          org.apache.juli.VerbatimFormatter

    public class VerbatimFormatter

extends Formatter

Outputs the just the log message with no additional elements. Stack traces are not logged. Log messages are separated by `System.getProperty("line.separator")`. This is intended for use by access logs and the like that need complete control over the output format.

Constructor Summary
`VerbatimFormatter()`

Method Summary
`String` | `format(LogRecord record)`

Methods inherited from class java.util.logging.Formatter
`formatMessage, getHead, getTail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VerbatimFormatter

    public VerbatimFormatter()

Method Detail

### format

    public String format(LogRecord record)

  Specified by:
    `format` in class `Formatter`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2012 Apache Software Foundation. All Rights Reserved.